% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/add_code_prelevement.R
\name{add_code_prelevement}
\alias{add_code_prelevement}
\title{Ajouter une variable code_prelevement au dataframe}
\usage{
add_code_prelevement(dataframe, version)
}
\arguments{
\item{dataframe}{Un dataframe contenant les données sur lesquelles ajouter
la variable \code{code_prelevement}.}

\item{version}{Une chaîne de caractères représentant la version de la
séquence à utiliser.}
}
\value{
Un dataframe avec une nouvelle colonne \code{code_prelevement} contenant
les valeurs de la séquence PostgreSQL.
}
\description{
Cette fonction ajoute une nouvelle variable \code{code_prelevement}
au dataframe en utilisant une séquence PostgreSQL dynamique. La séquence est
construite en fonction du paramètre \code{version} fourni.
}
\examples{
# Crée un dataframe fictif avec les colonnes nécessaires pour l'exemple
dataframe <- data.frame(
  id_prelevement = 1:5,
  autre_colonne = sample(letters, 5)
)
# Définir une version pour l'exemple
version <- "v1"

# Utiliser la fonction add_code_prelevement() avec la version souhaitée
dataframe <- add_code_prelevement(
  dataframe, version)

}
